Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 790158 - kde-apps/kwave-21.04.1 work/kwave-21.04.1/libkwave/Utils.h:129:51: error: incomplete type ‘std::numeric_limits’ used in nested name specifier
Summary: kde-apps/kwave-21.04.1 work/kwave-21.04.1/libkwave/Utils.h:129:51: error: inc...
Status: RESOLVED WORKSFORME
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL: https://src.fedoraproject.org/rpms/kw...
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2021-05-14 08:42 UTC by email200202
Modified: 2021-09-23 08:46 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,547.48 KB, text/x-log)
2021-05-14 08:45 UTC, email200202
Details
emerge -pqv '=kde-apps/kwave-21.04.1::gentoo' (file_790158.txt,174 bytes, text/plain)
2021-05-14 08:47 UTC, email200202
Details
emerge --info '=kde-apps/kwave-21.04.1::gentoo' (file_790158.txt,6.42 KB, text/plain)
2021-05-14 08:48 UTC, email200202
Details

Note You need to log in before you can comment on or make changes to this bug.
Description email200202 2021-05-14 08:42:54 UTC
kde-apps/kwave-21.04.1 update failed:

/usr/include/qt5/QtCore/qmutex.h:197:30: error: ‘std::numeric_limits’ is not a template
  197 |         const auto maxInt = (std::numeric_limits<int>::max)();
      |                              ^~~
/usr/include/qt5/QtCore/qmutex.h:197:56: error: incomplete type ‘std::numeric_limits’ used in nested name specifier
  197 |         const auto maxInt = (std::numeric_limits<int>::max)();
      |                                                        ^~~
In file included from /var/tmp/portage/kde-apps/kwave-21.04.1/work/kwave-21.04.1/plugins/codec_wav/WavDecoder.cpp:45:
/var/tmp/portage/kde-apps/kwave-21.04.1/work/kwave-21.04.1/libkwave/Utils.h: In function ‘unsigned int Kwave::toUint(T)’:
/var/tmp/portage/kde-apps/kwave-21.04.1/work/kwave-21.04.1/libkwave/Utils.h:111:34: error: ‘std::numeric_limits’ is not a template
  111 |         const unsigned int max = std::numeric_limits<unsigned int>::max();
      |                                  ^~~
/var/tmp/portage/kde-apps/kwave-21.04.1/work/kwave-21.04.1/libkwave/Utils.h:111:69: error: incomplete type ‘std::numeric_limits’ used in nested name specifier
  111 |         const unsigned int max = std::numeric_limits<unsigned int>::max();
      |                                                                     ^~~
/var/tmp/portage/kde-apps/kwave-21.04.1/work/kwave-21.04.1/libkwave/Utils.h: In function ‘int Kwave::toInt(T)’:
/var/tmp/portage/kde-apps/kwave-21.04.1/work/kwave-21.04.1/libkwave/Utils.h:129:25: error: ‘std::numeric_limits’ is not a template
  129 |         const int min = std::numeric_limits<int>::min();
      |                         ^~~
/var/tmp/portage/kde-apps/kwave-21.04.1/work/kwave-21.04.1/libkwave/Utils.h:129:51: error: incomplete type ‘std::numeric_limits’ used in nested name specifier
  129 |         const int min = std::numeric_limits<int>::min();
      |                                                   ^~~
/var/tmp/portage/kde-apps/kwave-21.04.1/work/kwave-21.04.1/libkwave/Utils.h:130:25: error: ‘std::numeric_limits’ is not a template
  130 |         const int max = std::numeric_limits<int>::max();
      |                         ^~~
/var/tmp/portage/kde-apps/kwave-21.04.1/work/kwave-21.04.1/libkwave/Utils.h:130:51: error: incomplete type ‘std::numeric_limits’ used in nested name specifier
  130 |         const int max = std::numeric_limits<int>::max();
      |                                                   ^~~


Reproducible: Always

Steps to Reproduce:
1. emerge --sync
2. emerge -auvDN world

Actual Results:  
Failed

Expected Results:  
Not to fail
Comment 1 email200202 2021-05-14 08:45:01 UTC
Created attachment 708348 [details]
build.log
Comment 2 email200202 2021-05-14 08:47:27 UTC
Created attachment 708351 [details]
emerge -pqv '=kde-apps/kwave-21.04.1::gentoo'
Comment 3 email200202 2021-05-14 08:48:31 UTC
Created attachment 708354 [details]
emerge --info '=kde-apps/kwave-21.04.1::gentoo'
Comment 4 Martin Dummer 2021-05-16 09:21:21 UTC
I can confirm this compile fail.
This hapens on my ~amd64 system, where KDE packages are keyworded to stable (-~amd64) to reduce the frequency of updates. 

IMHO this is a gcc-11 related problem.
Comment 5 Sam James archtester gentoo-dev Security 2021-05-16 11:51:39 UTC
(In reply to Martin Dummer from comment #4)
> I can confirm this compile fail.
> This hapens on my ~amd64 system, where KDE packages are keyworded to stable
> (-~amd64) to reduce the frequency of updates. 
> 
> IMHO this is a gcc-11 related problem.

This is going to lead to a lot of these as fixes aren’t yet filtered down to stable.
Comment 6 Larry the Git Cow gentoo-dev 2021-05-21 14:28:42 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d4d8bd733a6b80b7ea836e959f56245898568cc

commit 3d4d8bd733a6b80b7ea836e959f56245898568cc
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-05-21 14:25:37 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-05-21 14:26:02 +0000

    kde-apps/kwave: Fix build with GCC-11
    
    Closes: https://bugs.gentoo.org/790158
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 kde-apps/kwave/files/kwave-21.04.1-gcc11.patch | 12 ++++++++++++
 kde-apps/kwave/kwave-21.04.1.ebuild            |  2 ++
 2 files changed, 14 insertions(+)
Comment 7 Jens Reinemuth 2021-06-16 14:27:18 UTC
Bug is back in kwave-21.04.2! No patch file here.
Comment 8 Larry the Git Cow gentoo-dev 2021-06-16 14:55:11 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cbb7a891dacada35ed98fd09b169fcad269579ef

commit cbb7a891dacada35ed98fd09b169fcad269579ef
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-06-16 14:54:39 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-06-16 14:54:39 +0000

    kde-apps/kwave: restore GCC 11 patch
    
    Closes: https://bugs.gentoo.org/790158
    Signed-off-by: Sam James <sam@gentoo.org>

 kde-apps/kwave/files/kwave-21.04.1-gcc11.patch | 12 ++++++++++++
 kde-apps/kwave/kwave-21.04.2.ebuild            |  2 ++
 2 files changed, 14 insertions(+)
Comment 9 Andreas Sturmlechner gentoo-dev 2021-09-23 08:46:17 UTC
No problem building with GCC-11 here while current stable (21.04.3-r1) and testing (21.08.1) both do not apply that patch any longer. Therefore I assume this was really a Qt header problem fixed meanwhile.